# POST /api/v1/ramp/accounting/mark-synced

> Mark Ramp objects as synced

- **Tag:** ramp
- **Operation ID:** `mark_synced_api_v1_ramp_accounting_mark_synced_post`

## Description

Notify Ramp that objects have been synced to DayZero. Supports all sync types.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Request body

Schema: `RampMarkSyncedRequest`

- `sync_type` (string · required) — TRANSACTION_SYNC, REIMBURSEMENT_SYNC, BILL_SYNC, BILL_PAYMENT_SYNC, TRANSFER_SYNC, STATEMENT_CREDIT_SYNC
- `object_ids` (array · string · required)

## Responses

### 201 — Successful Response

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/ramp/accounting/mark-synced' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "sync_type": "string",
  "object_ids": []
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/ramp/accounting/mark-synced', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "sync_type": "string",
  "object_ids": []
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "sync_type": "string",
  "object_ids": []
}

response = httpx.post("https://api.ondayzero.com/api/v1/ramp/accounting/mark-synced", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/ramp/mark-synced
- OpenAPI slice: https://www.ondayzero.com/docs/reference/ramp/mark-synced/openapi.json
- Other endpoints in **ramp**: https://www.ondayzero.com/docs/reference/ramp
